--- e2fsprogs.SlackBuild	2005-08-05 01:10:47.000000000 -0400
+++ e2fsprogs.SlackBuild.s390x	2006-09-05 20:20:18.000000000 -0400
@@ -13,7 +13,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -34,6 +34,7 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix= \
+  --libdir='${prefix}/lib64' \
   --enable-elf-shlibs \
   --enable-dynamic-e2fsck \
   $ARCH-slackware-linux
@@ -42,8 +43,8 @@
 make install-libs DESTDIR=$PKG
 # Fix up package:
 mkdir -p $PKG/usr/lib/pkgconfig
-mv $PKG/lib/pkgconfig/* $PKG/usr/lib/pkgconfig
-rmdir $PKG/lib/pkgconfig
+mv $PKG/lib64/pkgconfig/* $PKG/usr/lib/pkgconfig
+rmdir $PKG/lib64/pkgconfig
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -64,8 +65,8 @@
   )
   mkdir usr
   mv bin include info man usr
-  mkdir usr/lib
-  mv lib/*.so lib/*.a usr/lib
+  mkdir usr/lib64
+  mv lib64/*.so lib64/*.a usr/lib64
 )
 # Junk removal
 rm -f $PKG/usr/bin/compile_et $PKG/usr/bin/mk_cmds $PKG/usr/man/man1/compile_et.1.gz $PKG/usr/man/man8/fsck.ext2.8 $PKG/usr/man/man8/fsck.ext3.8 $PKG/usr/man/man8/mkfs.ext2.8 $PKG/usr/man/man8/mkfs.ext3.8
